Subject: bug#24555: [PATCH] Remove unused variable `command-debug-status'

From: Philippe Vaucher <[email-masked]>
Date: Tue, 4 Oct 2016 17:18:23 +0200

>
> Please note that your patch had a fatal flaw: specbind needs a
> (quoted) symbol, not its value.  Using Vcommand_debug_status there
> produced a broken binary that would display an error message and
> become unresponsive.  See what I actually committed for the details.
>

Ah, you're right I missread the patch that removed Vcommand_debug_status
and assumed "Q" variables got renamed to "V" in the emacs 25 transition. I
understand now that variables and symbols are different things :-) I should
have verified.

> Please always test the build after you patch it, to make sure the
> behavior is correct and no bugs creep in.
>

Yes, I should have. Sorry.

> Finally, in the future please provide commit log messages for the
> changes formatted in the ChanegLog style, as described in CONTRIBUTE.
> I wrote them for this commit, please see the commit for the details of
> the formatting we use.
>

Well, the commit f2144eef does not contain any ChangeLog entries... maybe
you forgot to stage these changes? But yes, I understand what you mean.

Regards,
Philippe